## mathcomp-algebra-tactics 1.2.3

=== Makefile ===
# KNOWNTARGETS will not be passed along to CoqMakefile
KNOWNTARGETS := Makefile.coq Makefile.test-suite.coq test-suite \
				clean cleanall distclean
# KNOWNFILES will not get implicit targets from the final rule, and so
# depending on them won't invoke the submake
# Warning: These files get declared as PHONY, so any targets depending
# on them always get rebuilt
KNOWNFILES   := Makefile Make Make.test-suite

.DEFAULT_GOAL := invoke-coqmakefile

ifneq "$(TEST_SKIP_BUILD)" ""
TEST_DEP :=
LIBRARY_PATH :=
else
TEST_DEP := invoke-coqmakefile
LIBRARY_PATH := -R theories mathcomp.algebra_tactics
endif

COQMAKEFILE       = $(COQBIN)coq_makefile
COQMAKE           = $(MAKE) --no-print-directory -f Makefile.coq
COQMAKE_TESTSUITE = $(MAKE) --no-print-directory -f Makefile.test-suite.coq

Makefile.coq: Makefile Make
	$(COQMAKEFILE) -f Make -o Makefile.coq

Makefile.test-suite.coq: Makefile Make.test-suite
	$(COQMAKEFILE) -f Make.test-suite $(LIBRARY_PATH) -o Makefile.test-suite.coq

invoke-coqmakefile: Makefile.coq
	$(COQMAKE) $(filter-out $(KNOWNTARGETS),$(MAKECMDGOALS))

test-suite: Makefile.test-suite.coq $(TEST_DEP)
	$(COQMAKE_TESTSUITE)

theories/%.vo: Makefile.coq
	$(COQMAKE) $@

examples/%.vo: Makefile.test-suite.coq
	$(COQMAKE_TESTSUITE) $@

clean::
	@if [ -f Makefile.coq ]; then $(COQMAKE) clean; fi
	@if [ -f Makefile.test-suite.coq ]; then $(COQMAKE_TESTSUITE) clean; fi

cleanall::
	@if [ -f Makefile.coq ]; then $(COQMAKE) cleanall; fi
	@if [ -f Makefile.test-suite.coq ]; then $(COQMAKE_TESTSUITE) cleanall; fi

distclean:: cleanall
	rm -f Makefile.coq Makefile.coq.conf
	rm -f Makefile.test-suite.coq Makefile.test-suite.coq.conf

.PHONY: invoke-coqmakefile $(KNOWNFILES)

####################################################################
##                      Your targets here                         ##
####################################################################

# This should be the last rule, to handle any targets not declared above
%: invoke-coqmakefile
	@true

## mathcomp-algebra-tactics 0.3.0

=== debian/changelog ===
mathcomp-algebra-tactics (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1010014)

 -- Julien Puydt <jpuydt@debian.org>  Fri, 22 Apr 2022 13:02:06 +0200

=== debian/control ===
Source: mathcomp-algebra-tactics
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.0
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-ocaml,
               libcoq-elpi,
               libcoq-mathcomp-zify
Vcs-Browser: https://salsa.debian.org/ocaml-team/mathcomp-algebra-tactics
Vcs-Git: https://salsa.debian.org/ocaml-team/mathcomp-algebra-tactics.git
Homepage: https://github.com/math-comp/algebra-tactics

Package: libcoq-mathcomp-algebra-tactics
Architecture: any
Depends: coq-${F:CoqABI}, libcoq-elpi, libcoq-mathcomp-zify, ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: Ring and field tactics for Mathematical Components
 This package provides the 'ring' and 'field' tactics for
 the Mathematical Components library, that work for any instance
 of 'comRingType' and 'fieldType' through canonical structure inference.
 .
 The Mathematical Components library is a coherent repository of
 general-purpose formalized mathematical theories for the
 Coq proof assistant.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/ocaml/ocamlvars.mk
include /usr/share/coq/coqvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	make

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make test-suite
endif

override_dh_gencontrol:
	dh_gencontrol -- -VF:CoqABI="$(COQ_ABI)"

## mathcomp-algebra-tactics 1.0.0

=== debian/changelog ===
mathcomp-algebra-tactics (1.0.0-8) unstable; urgency=medium

  * Fix elpi interface mismatch (Closes: #1023763).

 -- Julien Puydt <jpuydt@debian.org>  Thu, 10 Nov 2022 16:22:08 +0100

mathcomp-algebra-tactics (1.0.0-7) unstable; urgency=medium

  * Rebuild to cope with new elpi.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 26 Oct 2022 08:57:56 +0200

mathcomp-algebra-tactics (1.0.0-6) unstable; urgency=medium

  * Add an autopkgtest.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 05 Jul 2022 09:32:14 +0200

mathcomp-algebra-tactics (1.0.0-5) unstable; urgency=medium

  * Add missing b-deps.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 13 Jun 2022 14:23:04 +0200

mathcomp-algebra-tactics (1.0.0-4) unstable; urgency=medium

  * Use dh-coq.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 12 Jun 2022 14:20:14 +0200

mathcomp-algebra-tactics (1.0.0-3) unstable; urgency=medium

  * Re-upload to fix ABI breakage.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 02 Jun 2022 13:32:21 +0200

mathcomp-algebra-tactics (1.0.0-2) unstable; urgency=medium

  * Re-upload to fix ABI breakage.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 22 May 2022 19:27:10 +0200

mathcomp-algebra-tactics (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 18 May 2022 09:18:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),
-               dh-ocaml,
+               dh-coq, dh-ocaml,
                libcoq-elpi,
+               libcoq-mathcomp-algebra,
+               libcoq-mathcomp-ssreflect,
                libcoq-mathcomp-zify
 Vcs-Browser: https://salsa.debian.org/ocaml-team/mathcomp-algebra-tactics
 Vcs-Git: https://salsa.debian.org/ocaml-team/mathcomp-algebra-tactics.git
@@ -16,8 +18,8 @@
 
 Package: libcoq-mathcomp-algebra-tactics
 Architecture: any
-Depends: coq-${F:CoqABI}, libcoq-elpi, libcoq-mathcomp-zify, ${misc:Depends}
-Provides: ${ocaml:Provides}
+Depends: ${coq:Depends}, ${misc:Depends}
+Provides: ${coq:Provides}
 Suggests: ocaml-findlib
 Description: Ring and field tactics for Mathematical Components
  This package provides the 'ring' and 'field' tactics for

## mathcomp-algebra-tactics 1.1.1

=== debian/changelog ===
mathcomp-algebra-tactics (1.1.1-2build8) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 20 Aug 2023 09:34:23 +0200

mathcomp-algebra-tactics (1.1.1-2build7) mantic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Jul 2023 10:34:45 +0200

mathcomp-algebra-tactics (1.1.1-2build6) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Jul 2023 05:36:37 +0200

mathcomp-algebra-tactics (1.1.1-2build5) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jul 2023 11:45:12 +0200

mathcomp-algebra-tactics (1.1.1-2build4) mantic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jul 2023 12:31:50 +0200

mathcomp-algebra-tactics (1.1.1-2build3) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Jul 2023 19:15:11 +0200

mathcomp-algebra-tactics (1.1.1-2build2) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Jul 2023 08:17:46 +0200

mathcomp-algebra-tactics (1.1.1-2build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 08 Jul 2023 00:01:41 +0200

mathcomp-algebra-tactics (1.1.1-2) unstable; urgency=medium

  * Fix abi issue.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 05 Jul 2023 14:41:02 +0200

mathcomp-algebra-tactics (1.1.1-1) unstable; urgency=medium

  * New upstream release. 
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 15 Jun 2023 07:22:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

## mathcomp-algebra-tactics 1.2.3

=== debian/changelog ===
mathcomp-algebra-tactics (1.2.3-1build5) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:18:40 +0200

mathcomp-algebra-tactics (1.2.3-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:04:30 +0000

mathcomp-algebra-tactics (1.2.3-1build3) noble; urgency=medium

  * No-change rebuild for new libcoq-elqi ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 15:59:22 +0000

mathcomp-algebra-tactics (1.2.3-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:26:42 +0100

mathcomp-algebra-tactics (1.2.3-1build1) noble; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 28 Jan 2024 08:31:16 -0500

mathcomp-algebra-tactics (1.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 20 Jan 2024 20:50:42 +0100

mathcomp-algebra-tactics (1.2.2-1) unstable; urgency=medium

  * Fix d/rules clean target (Closes: #1047108).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 22 Dec 2023 11:34:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: mathcomp-algebra-tactics
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional

## mathcomp-algebra-tactics 1.2.4

=== Makefile ===
--- 
+++ 
@@ -9,14 +9,6 @@
 
 .DEFAULT_GOAL := invoke-coqmakefile
 
-ifneq "$(TEST_SKIP_BUILD)" ""
-TEST_DEP :=
-LIBRARY_PATH :=
-else
-TEST_DEP := invoke-coqmakefile
-LIBRARY_PATH := -R theories mathcomp.algebra_tactics
-endif
-
 COQMAKEFILE       = $(COQBIN)coq_makefile
 COQMAKE           = $(MAKE) --no-print-directory -f Makefile.coq
 COQMAKE_TESTSUITE = $(MAKE) --no-print-directory -f Makefile.test-suite.coq
@@ -25,12 +17,12 @@
 	$(COQMAKEFILE) -f Make -o Makefile.coq
 
 Makefile.test-suite.coq: Makefile Make.test-suite
-	$(COQMAKEFILE) -f Make.test-suite $(LIBRARY_PATH) -o Makefile.test-suite.coq
+	$(COQMAKEFILE) -f Make.test-suite -o Makefile.test-suite.coq
 
 invoke-coqmakefile: Makefile.coq
 	$(COQMAKE) $(filter-out $(KNOWNTARGETS),$(MAKECMDGOALS))
 
-test-suite: Makefile.test-suite.coq $(TEST_DEP)
+test-suite: Makefile.test-suite.coq invoke-coqmakefile
 	$(COQMAKE_TESTSUITE)
 
 theories/%.vo: Makefile.coq

=== debian/changelog ===
mathcomp-algebra-tactics (1.2.4-1build7) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Nov 2025 09:11:18 +0100

mathcomp-algebra-tactics (1.2.4-1build6) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:47:37 +0200

mathcomp-algebra-tactics (1.2.4-1build5) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 21:20:46 +0200

mathcomp-algebra-tactics (1.2.4-1build4) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:36:07 +0200

mathcomp-algebra-tactics (1.2.4-1build3) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 May 2025 10:06:29 +0200

mathcomp-algebra-tactics (1.2.4-1build2) questing; urgency=medium

  * Rebuild against coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 13:23:20 -0400

mathcomp-algebra-tactics (1.2.4-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2025 08:20:09 +0100

mathcomp-algebra-tactics (1.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 15 Feb 2025 15:24:39 +0100

mathcomp-algebra-tactics (1.2.3-4) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 14:35:30 +0200

mathcomp-algebra-tactics (1.2.3-3) unstable; urgency=medium

  * Fix target distribution.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 26 Apr 2024 16:03:37 +0200

mathcomp-algebra-tactics (1.2.3-2) binary; urgency=medium

  * Rebuild for binary compatibility.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 30 Mar 2024 11:47:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: mathcomp-algebra-tactics
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom mathcomp.algebra_tactics ring
Depends: @, coq
